Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.wso2.wsas.admin.service
Class ServiceAdmin

    java.lang.Object
      org.wso2.utils.AbstractAdmin
          org.wso2.wsas.admin.service.ServiceAdmin

All Implemented Interfaces:
  ServiceAdminMBean

    public class ServiceAdmin

extends org.wso2.utils.AbstractAdmin
implements ServiceAdminMBean

Admin service to manage services

Constructor Summary
`ServiceAdmin()`

Method Summary
`java.lang.String` | `addTransportBinding(java.lang.String serviceId, java.lang.String transportProtocol)`
`void` | `configureMTOM(java.lang.String flag, java.lang.String serviceName)` set the service parameter enableMTOM to manipulate MTOM flag true/false/optional
`void` | `createAndDeployEJBService(java.lang.String archiveId, java.lang.String[] serviceClasses, java.lang.String jnpProviderUrl, java.lang.String beanJNDIName, java.lang.String homeInterface, java.lang.String remoteInterface)`
`void` | `createAndDeployService(java.lang.String archiveId, ClassMethodsData[] data, java.lang.String[] resourceId)` Creates and deploys a service.
`void` | `createAndDeploySpringBean(java.lang.String springContextId, java.lang.String springBeanId, java.lang.String[] beanClasses)`
`void` | `creatService(java.lang.String serviceName)`
`boolean` | `deleteFaultyServiceArchive(java.lang.String archiveName)`
`java.lang.String` | `exposeServiceOnlyViaTransports(java.lang.String serviceId, java.lang.String[] transportProtocols)` Expose this service only via the specified transport
`java.lang.String[]` | `getClassNames(java.lang.String archiveId)` Get all the fully qualified class names of all the classes in this archive
`org.apache.axiom.om.OMElement[]` | `getDeclaredServiceParameters(java.lang.String serviceId, java.lang.String serviceVersion)`
`java.lang.String[]` | `getExposedTransports(java.lang.String serviceId)`
`FaultService[]` | `getFaultyServiceArchives()`
`int` | `getNumberOfActiveServices()` Get the currently active number of services
`int` | `getNumberOfFaultyServices()` Get the number of faulty services
`int` | `getNumberOfInactiveServices()` Get the currently inactive number of services
`PolicyData[]` | `getPolicies(java.lang.String serviceId, java.lang.String serviceVersion)`
`org.apache.axiom.om.OMElement` | `getPolicy(java.lang.String serviceId, java.lang.String serviceVersion)`
`org.apache.axiom.om.OMElement` | `getSchema(java.lang.String serviceName)`
`ServiceMetaData` | `getServiceData(java.lang.String serviceName)`
`java.lang.Object[]` | `getServiceInfo(java.lang.String serviceId, java.lang.String serviceVersion)`
`org.apache.axiom.om.OMElement[]` | `getServiceParameters(java.lang.String serviceId, java.lang.String serviceVersion)`
`ServiceRoleData[]` | `getServiceRolesWithDescription(java.lang.String serviceName)`
`java.lang.Object[]` | `getServiceStatus(java.lang.String serviceId, java.lang.String serviceVersion)`
`java.lang.String[]` | `getServiceUsers(java.lang.String serviceName)`
`ServiceUserData[]` | `getServiceUsersWithDescription(java.lang.String serviceName)`
`SpringBeansData` | `getSpringBeanNames(java.lang.String springContextId, java.lang.String springBeanId)`
`org.apache.axiom.om.OMElement` | `getWSDL(java.lang.String serviceName)`
`ClassMethodsData[]` | `listMethodsForClass(java.lang.String[] classNames, java.lang.String[] resourcesId)` This method will list all the public methods for the given classes.
`ServiceMetaData[]` | `listServices(java.lang.String serviceGroupId)`
`boolean` | `removePolicy(java.lang.String serviceId, java.lang.String version, java.lang.String policyId)`
`void` | `removeServiceParameter(java.lang.String serviceName, java.lang.String paramName)`
`void` | `removeServiceSpecificParameter(java.lang.String serviceId, java.lang.String serviceVersion, org.apache.axiom.om.OMElement paramterElement)`
`java.lang.String` | `removeTransportBinding(java.lang.String serviceId, java.lang.String transportProtocol)`
`void` | `setPolicy(java.lang.String serviceId, java.lang.String version, java.lang.String policyString)`
`void` | `setServiceParameter(java.lang.String serviceId, java.lang.String serviceVersion, org.apache.axiom.om.OMElement paramterElement)`
`void` | `setServiceParameter2(java.lang.String serviceName, org.apache.axis2.description.Parameter parameter)`
`void` | `setServiceParameter3(java.lang.String serviceId, org.apache.axis2.description.Parameter parameter)`
`void` | `setServiceParameters(java.lang.String serviceId, java.lang.String serviceVersion, org.apache.axiom.om.OMElement[] paramterElements)`
`void` | `startService(java.lang.String serviceName)` Start the service specified by `serviceName`
`void` | `stopService(java.lang.String serviceName)` Stop the service specified by `serviceName`

Methods inherited from class org.wso2.utils.AbstractAdmin
`getAxisConfig, getConfigContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServiceAdmin

    public ServiceAdmin()

Method Detail

### exposeServiceOnlyViaTransports

    public java.lang.String exposeServiceOnlyViaTransports(java.lang.String serviceId,
                                                           java.lang.String[] transportProtocols)
                                                    throws org.apache.axis2.AxisFault

  Expose this service only via the specified transport

  Parameters:
    `serviceId` -
    `transportProtocols` -
  Returns:
    Status Message
  Throws:
    `org.apache.axis2.AxisFault`

### addTransportBinding

    public java.lang.String addTransportBinding(java.lang.String serviceId,
                                                java.lang.String transportProtocol)
                                         throws org.apache.axis2.AxisFault

  Throws:
    `org.apache.axis2.AxisFault`

### removeTransportBinding

    public java.lang.String removeTransportBinding(java.lang.String serviceId,
                                                   java.lang.String transportProtocol)
                                            throws org.apache.axis2.AxisFault

  Throws:
    `org.apache.axis2.AxisFault`

### getExposedTransports

    public java.lang.String[] getExposedTransports(java.lang.String serviceId)
                                            throws org.apache.axis2.AxisFault

  Throws:
    `org.apache.axis2.AxisFault`

### creatService

    public void creatService(java.lang.String serviceName)
                      throws org.apache.axis2.AxisFault

  Throws:
    `org.apache.axis2.AxisFault`

### stopService

    public void stopService(java.lang.String serviceName)
                     throws java.lang.Exception

  Description copied from interface: `ServiceAdminMBean`
  Stop the service specified by `serviceName`

  Specified by:
    `stopService` in interface `ServiceAdminMBean`
  Parameters:
    `serviceName` - Name of the service to be restarted
  Throws:
    `java.lang.Exception` - If an error occurs while stopping the service

### getNumberOfActiveServices

    public int getNumberOfActiveServices()
                                  throws java.lang.Exception

  Description copied from interface: `ServiceAdminMBean`
  Get the currently active number of services

  Specified by:
    `getNumberOfActiveServices` in interface `ServiceAdminMBean`
  Returns:
    Currently active number of services
  Throws:
    `java.lang.Exception` - If an error occurs while getting the service count

### getNumberOfInactiveServices

    public int getNumberOfInactiveServices()
                                    throws java.lang.Exception

  Description copied from interface: `ServiceAdminMBean`
  Get the currently inactive number of services

  Specified by:
    `getNumberOfInactiveServices` in interface `ServiceAdminMBean`
  Returns:
    Currently inactive number of services
  Throws:
    `java.lang.Exception` - If an error occurs while getting the service count

### startService

    public void startService(java.lang.String serviceName)
                      throws java.lang.Exception

  Description copied from interface: `ServiceAdminMBean`
  Start the service specified by `serviceName`

  Specified by:
    `startService` in interface `ServiceAdminMBean`
  Parameters:
    `serviceName` - Name of the service to be restarted
  Throws:
    `java.lang.Exception` - If an error occurs while starting the service

### getServiceData

    public ServiceMetaData getServiceData(java.lang.String serviceName)
                                   throws org.apache.axis2.AxisFault

  Throws:
    `org.apache.axis2.AxisFault`

### configureMTOM

    public void configureMTOM(java.lang.String flag,
                              java.lang.String serviceName)
                       throws org.apache.axis2.AxisFault

  set the service parameter enableMTOM to manipulate MTOM flag true/false/optional

  Parameters:
    `flag` -
    `serviceName` -
  Throws:
    `org.apache.axis2.AxisFault`

### listServices

    public ServiceMetaData[] listServices(java.lang.String serviceGroupId)
                                   throws org.apache.axis2.AxisFault

  Parameters:
    `serviceGroupId` -
  Returns:
    list of services
  Throws:
    `org.apache.axis2.AxisFault`

### getServiceInfo

    public java.lang.Object[] getServiceInfo(java.lang.String serviceId,
                                             java.lang.String serviceVersion)
                                      throws org.apache.axis2.AxisFault

  Throws:
    `org.apache.axis2.AxisFault`

### getServiceStatus

    public java.lang.Object[] getServiceStatus(java.lang.String serviceId,
                                               java.lang.String serviceVersion)
                                        throws org.apache.axis2.AxisFault

  Throws:
    `org.apache.axis2.AxisFault`

### getServiceParameters

    public org.apache.axiom.om.OMElement[] getServiceParameters(java.lang.String serviceId,
                                                                java.lang.String serviceVersion)
                                                         throws org.apache.axis2.AxisFault

  Throws:
    `org.apache.axis2.AxisFault`

### getDeclaredServiceParameters

    public org.apache.axiom.om.OMElement[] getDeclaredServiceParameters(java.lang.String serviceId,
                                                                        java.lang.String serviceVersion)
                                                                 throws org.apache.axis2.AxisFault

  Throws:
    `org.apache.axis2.AxisFault`

### setServiceParameters

    public void setServiceParameters(java.lang.String serviceId,
                                     java.lang.String serviceVersion,
                                     org.apache.axiom.om.OMElement[] paramterElements)
                              throws org.apache.axis2.AxisFault

  Throws:
    `org.apache.axis2.AxisFault`

### setServiceParameter3

    public void setServiceParameter3(java.lang.String serviceId,
                                     org.apache.axis2.description.Parameter parameter)
                              throws org.apache.axis2.AxisFault

  Throws:
    `org.apache.axis2.AxisFault`

### setServiceParameter

    public void setServiceParameter(java.lang.String serviceId,
                                    java.lang.String serviceVersion,
                                    org.apache.axiom.om.OMElement paramterElement)
                             throws org.apache.axis2.AxisFault

  Throws:
    `org.apache.axis2.AxisFault`

### removeServiceSpecificParameter

    public void removeServiceSpecificParameter(java.lang.String serviceId,
                                               java.lang.String serviceVersion,
                                               org.apache.axiom.om.OMElement paramterElement)
                                        throws org.apache.axis2.AxisFault

  Throws:
    `org.apache.axis2.AxisFault`

### setServiceParameter2

    public void setServiceParameter2(java.lang.String serviceName,
                                     org.apache.axis2.description.Parameter parameter)
                              throws org.apache.axis2.AxisFault

  Throws:
    `org.apache.axis2.AxisFault`

### removeServiceParameter

    public void removeServiceParameter(java.lang.String serviceName,
                                       java.lang.String paramName)
                                throws org.apache.axis2.AxisFault

  Throws:
    `org.apache.axis2.AxisFault`

### getWSDL

    public org.apache.axiom.om.OMElement getWSDL(java.lang.String serviceName)
                                          throws org.apache.axis2.AxisFault

  Throws:
    `org.apache.axis2.AxisFault`

### getSchema

    public org.apache.axiom.om.OMElement getSchema(java.lang.String serviceName)
                                            throws org.apache.axis2.AxisFault

  Throws:
    `org.apache.axis2.AxisFault`

### getPolicy

    public org.apache.axiom.om.OMElement getPolicy(java.lang.String serviceId,
                                                   java.lang.String serviceVersion)
                                            throws org.apache.axis2.AxisFault

  Throws:
    `org.apache.axis2.AxisFault`

### getPolicies

    public PolicyData[] getPolicies(java.lang.String serviceId,
                                    java.lang.String serviceVersion)
                             throws org.apache.axis2.AxisFault

  Throws:
    `org.apache.axis2.AxisFault`

### removePolicy

    public boolean removePolicy(java.lang.String serviceId,
                                java.lang.String version,
                                java.lang.String policyId)
                         throws org.apache.axis2.AxisFault

  Throws:
    `org.apache.axis2.AxisFault`

### setPolicy

    public void setPolicy(java.lang.String serviceId,
                          java.lang.String version,
                          java.lang.String policyString)
                   throws org.apache.axis2.AxisFault

  Throws:
    `org.apache.axis2.AxisFault`

### getServiceUsers

    public java.lang.String[] getServiceUsers(java.lang.String serviceName)
                                       throws org.apache.axis2.AxisFault

  Throws:
    `org.apache.axis2.AxisFault`

### getServiceUsersWithDescription

    public ServiceUserData[] getServiceUsersWithDescription(java.lang.String serviceName)
                                                     throws org.apache.axis2.AxisFault

  Throws:
    `org.apache.axis2.AxisFault`

### getServiceRolesWithDescription

    public ServiceRoleData[] getServiceRolesWithDescription(java.lang.String serviceName)
                                                     throws org.apache.axis2.AxisFault

  Throws:
    `org.apache.axis2.AxisFault`

### getClassNames

    public java.lang.String[] getClassNames(java.lang.String archiveId)
                                     throws org.apache.axis2.AxisFault

  Get all the fully qualified class names of all the classes in this archive

  Parameters:
    `archiveId` -
  Returns:
    all the fully qualified class names of all the classes in this archive
  Throws:
    `org.apache.axis2.AxisFault`

### listMethodsForClass

    public ClassMethodsData[] listMethodsForClass(java.lang.String[] classNames,
                                                  java.lang.String[] resourcesId)
                                           throws org.apache.axis2.AxisFault

  This method will list all the public methods for the given classes.

  Parameters:
    `classNames` - full qualified class name
  Returns:
    resourcesId array of resource Ids
  Throws:
    `org.apache.axis2.AxisFault` - will be thrown

### createAndDeployService

    public void createAndDeployService(java.lang.String archiveId,
                                       ClassMethodsData[] data,
                                       java.lang.String[] resourceId)
                                throws org.apache.axis2.AxisFault

  Creates and deploys a service. This AAR will contain all the classe from the jar/zip file corresponding to `archiveId`. In addition, a services.xml will be created, and all of the `serviceClasses` will be added as services.

  Parameters:
    `archiveId` - archive id
    `data` - info array. data contains the excluded method names.
    `resourceId` - array of resource Ids that goes in the "lib" folder
  Throws:
    `org.apache.axis2.AxisFault` - will be thrown

### deleteFaultyServiceArchive

    public boolean deleteFaultyServiceArchive(java.lang.String archiveName)
                                       throws org.apache.axis2.AxisFault

  Throws:
    `org.apache.axis2.AxisFault`

### getFaultyServiceArchives

    public FaultService[] getFaultyServiceArchives()
                                            throws org.apache.axis2.AxisFault

  Throws:
    `org.apache.axis2.AxisFault`

### getNumberOfFaultyServices

    public int getNumberOfFaultyServices()
                                  throws org.apache.axis2.AxisFault

  Description copied from interface: `ServiceAdminMBean`
  Get the number of faulty services

  Specified by:
    `getNumberOfFaultyServices` in interface `ServiceAdminMBean`
  Returns:
    number of faulty services
  Throws:
    `org.apache.axis2.AxisFault`

### getSpringBeanNames

    public SpringBeansData getSpringBeanNames(java.lang.String springContextId,
                                              java.lang.String springBeanId)
                                       throws org.apache.axis2.AxisFault

  Throws:
    `org.apache.axis2.AxisFault`

### createAndDeploySpringBean

    public void createAndDeploySpringBean(java.lang.String springContextId,
                                          java.lang.String springBeanId,
                                          java.lang.String[] beanClasses)
                                   throws org.apache.axis2.AxisFault

  Throws:
    `org.apache.axis2.AxisFault`

### createAndDeployEJBService

    public void createAndDeployEJBService(java.lang.String archiveId,
                                          java.lang.String[] serviceClasses,
                                          java.lang.String jnpProviderUrl,
                                          java.lang.String beanJNDIName,
                                          java.lang.String homeInterface,
                                          java.lang.String remoteInterface)
                                   throws org.apache.axis2.AxisFault

  Throws:
    `org.apache.axis2.AxisFault`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD